/***************************************************************************
**
**  This file is part of geopsy.
**
**  geopsy is free software: you can redistribute it and/or modify
**  it under the terms of the GNU General Public License as published by
**  the Free Software Foundation, either version 3 of the License, or
**  (at your option) any later version.
**
**  geopsy is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with Foobar.  If not, see <http://www.gnu.org/licenses/>
**
**  See http://www.geopsy.org for more information.
**
**  Created: 2013-04-19
**  Copyright: 2013-2019
**    Marc Wathelet (ISTerre, Grenoble, France)
**
***************************************************************************/

#include "LoadFilePattern.h"

/*!
  \class LoadFilePattern LoadFilePattern.h
  \brief Brief description of class still missing

  Full description of class still missing
*/

/*!
  Description of constructor still missing
*/
LoadFilePattern::LoadFilePattern(QWidget * parent)
  : Dialog(parent)
{
  TRACE;
  setupUi(this);
  filePatternEdit->addItems(Settings::getHistory("LoadFilePattern"));
}

/*!
  Description of destructor still missing
*/
LoadFilePattern::~LoadFilePattern()
{
  TRACE;
}

void LoadFilePattern::on_browseDirectories_clicked()
{
  TRACE;
  QString str=Message::getExistingDirectory(tr("Base directory"), baseDirectoryEdit->text());
  if(!str.isEmpty()) {
    baseDirectoryEdit->setText(str);
  }
}

void LoadFilePattern::saveHistory()
{
  Settings::setHistory("LoadFilePattern", filePatternEdit->currentText());
}
